function [output,Fs,bits] = frecuencias( file, cut1, cut2, invert, A )
%file    = filename (same folder as frecuencias.m)
%cut1    = cut freq. 1
%cut2    = cut freq. 2
%invert  = if invert=0, A will multiply [cut1,cut2] and leave the rest.
%          if invert=1; A will mult. everything but (cut1,cut2)
%A       = multip. factor


%FRECUENCIAS Summary of this function goes here
%   Detailed explanation goes here

[song,Fs,bits] = wavread(file);

%Check channels and convert to mono
if size(song,2)==2
y=zeros(size(song,1),1);
y(:)=0.5*(song(:,1)+song(:,2));
else
y=song;
end

Nsamps = length(y);
t = (1/Fs)*(1:Nsamps);         %Prepare time data for plot

%Do Fourier Transform
yFT = fft(y);

%Prepare plot FT
y_fft = abs(yFT);            %Retain Magnitude
y_fft = y_fft(1:floor(Nsamps/2));      %Discard Half of Points
f = Fs*(0:Nsamps/2-1)/Nsamps;   %Prepare freq data for plot

%Plot Sound File in Time Domain
figure
plot(t, y)
xlabel('Time (s)')
ylabel('Amplitude')
title('Mundo temporal')

%Plot Sound File in Frequency Domain
figure
plot(f, y_fft)
xlim([0 8500])
B=1;
if(A>1) B=A; end
ylim([0 max(y_fft)*B])
xlabel('Frequency (Hz)')
ylabel('Amplitude')
title('Mundo frecuencial - abs')

%cut1 y cut2 are given as freqs, so:
cut1 = round(Nsamps*cut1/Fs+1);
cut2 = round(Nsamps*cut2/Fs+1);

sFTc2 = yFT;

if invert==0
    sFTc2(cut1:cut2) = A*sFTc2(cut1:cut2);
    sFTc2(length(sFTc2)-cut2:length(sFTc2)-cut1)=A*sFTc2(length(sFTc2)-cut2:length(sFTc2)-cut1);
else
    sFTc2(1:cut1) = A*sFTc2(1:cut1);
    sFTc2(cut2:length(sFTc2)/2) = A*sFTc2(cut2:length(sFTc2)/2);
    
    sFTc2(length(sFTc2)/2:length(sFTc2)-cut2)=A*sFTc2(length(sFTc2)/2:length(sFTc2)-cut2);
    sFTc2(length(sFTc2)-cut1:length(sFTc2))=A*sFTc2(length(sFTc2)-cut1:length(sFTc2));
end

ift = ifft(sFTc2);
sound(real(ift),Fs);

%Plot new ft
figure
newFT = abs(sFTc2);
newFT = newFT(1:floor(Nsamps/2));
plot(f, newFT)
xlim([0 8500])
ylim([0 max(y_fft)*B])
xlabel('Frequency (Hz)')
ylabel('Amplitude')
title('Mundo frecuencial (tratado) - abs')

%plot new t
figure
plot(t, real(ift))
xlabel('Time (s)')
ylabel('Amplitude')
title('Vuelta al Mundo temporal (tratado)')

output = real(ift);

end

